pangomm 2.35.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Related Functions | List of all members
Pango::LayoutRun Class Reference

A Pango::LayoutRun represents a single run within a LayoutLine. More...

`#include <pangomm/layoutrun.h>`

## Public Member Functions
| LayoutRun ()
| LayoutRun (PangoGlyphItem* gobject, bool make_a_copy=true)
| LayoutRun (const LayoutRun& other)
LayoutRun& | operator= (const LayoutRun& other)
| ~LayoutRun ()
void | swap (LayoutRun& other)
PangoGlyphItem* | gobj ()
| Provides access to the underlying C instance. More...
const PangoGlyphItem* | gobj () const
| Provides access to the underlying C instance. More...
PangoGlyphItem* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Attributes
PangoGlyphItem* | gobject_

## Related Functions
(Note that these are not member functions.)
void | swap (LayoutRun& lhs, LayoutRun& rhs)
Pango::LayoutRun | wrap (PangoGlyphItem* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A Pango::LayoutRun represents a single run within a LayoutLine.

It is simply an alternate name for GlyphItem.

## Constructor & Destructor Documentation

Pango::LayoutRun::LayoutRun | ( |  | ) |

Pango::LayoutRun::LayoutRun | ( | PangoGlyphItem * | gobject,
|  | bool | make_a_copy = `true`
| ) |  |
| explicit

Pango::LayoutRun::LayoutRun | ( | const LayoutRun& | other | ) |

Pango::LayoutRun::~LayoutRun | ( |  | ) |

## Member Function Documentation

static GType Pango::LayoutRun::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

PangoGlyphItem* Pango::LayoutRun::gobj | ( |  | ) |
| inline

Provides access to the underlying C instance.

const PangoGlyphItem* Pango::LayoutRun::gobj | ( |  | ) | const
| inline

Provides access to the underlying C instance.

PangoGlyphItem* Pango::LayoutRun::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

LayoutRun& Pango::LayoutRun::operator= | ( | const LayoutRun& | other | ) |

void Pango::LayoutRun::swap | ( | LayoutRun& | other | ) |

## Friends And Related Function Documentation

void swap | ( | LayoutRun& | lhs,
|  | LayoutRun& | rhs
| ) |  |
| related

Parameters

  lhs | The left-hand side
  rhs | The right-hand side

Pango::LayoutRun wrap | ( | PangoGlyphItem * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

PangoGlyphItem* Pango::LayoutRun::gobject_
| protected